package munin-node 1.4.4-1ubuntu1 failed to install/upgrade: subproces installed post-installation script gaf een foutwaarde 1 terug

Bug #616404 reported by Paul van Genderen on 2010-08-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
munin (Ubuntu)
Medium
Chuck Short

Bug Description

Binary package hint: munin

When munin-node is removed, the configuration files are kept as usual. But the upstart job is never disabled, so upstart keeps trying to run munin-node even though it's not installed. This causes an error in the post-installation script when it's reinstalled.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: munin-node 1.4.4-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-14.20~lucid2-generic 2.6.35
Uname: Linux 2.6.35-14-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Wed Aug 11 17:46:17 2010
ErrorMessage: subproces installed post-installation script gaf een foutwaarde 1 terug
PackageArchitecture: all
SourcePackage: munin
Title: package munin-node 1.4.4-1ubuntu1 failed to install/upgrade: subproces installed post-installation script gaf een foutwaarde 1 terug

Related branches

Paul van Genderen (paulvg) wrote :
Paul van Genderen (paulvg) wrote :

Some of the attachments contained some private data, so I deleted those. Here's the relevant bit:

Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd
De status informatie wordt gelezen... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  libio-multiplex-perl libnet-cidr-perl libnet-server-perl munin-common
Voorgestelde pakketten:
  libio-socket-ssl-perl munin munin-plugins-extra munin-java-plugins liblwp-useragent-determined-perl libnet-irc-perl libdbd-pg-perl libcache-cache-perl
  libcrypt-ssleay-perl libxml-simple-perl logtail
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  libio-multiplex-perl libnet-cidr-perl libnet-server-perl munin-common munin-node
0 pakketten opgewaardeerd, 5 pakketten nieuw geïnstalleerd, 0 te verwijderen en 7 niet opgewaardeerd.
Er moeten 615kB aan archieven opgehaald worden.
Door deze operatie zal er 2474kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]?
Ophalen:1 http://nl.archive.ubuntu.com/ubuntu/ lucid/main libio-multiplex-perl 1.10-1 [22,9kB]
Ophalen:2 http://nl.archive.ubuntu.com/ubuntu/ lucid/main libnet-cidr-perl 0.13-1 [14,6kB]
Ophalen:3 http://nl.archive.ubuntu.com/ubuntu/ lucid/main libnet-server-perl 0.97-1ubuntu1 [141kB]
Ophalen:4 http://nl.archive.ubuntu.com/ubuntu/ lucid/main munin-common 1.4.4-1ubuntu1 [81,7kB]
Ophalen:5 http://nl.archive.ubuntu.com/ubuntu/ lucid/main munin-node 1.4.4-1ubuntu1 [355kB]
615kB opgehaald in 0s (1008kB/s)
Selecteren van voorheen niet geselecteerd pakket libio-multiplex-perl.
(Database inlezen ... 265620 bestanden en mappen geïnstalleerd.)
Uitpakken van libio-multiplex-perl (uit .../libio-multiplex-perl_1.10-1_all.deb) ...
Selecteren van voorheen niet geselecteerd pakket libnet-cidr-perl.
Uitpakken van libnet-cidr-perl (uit .../libnet-cidr-perl_0.13-1_all.deb) ...
Selecteren van voorheen niet geselecteerd pakket libnet-server-perl.
Uitpakken van libnet-server-perl (uit .../libnet-server-perl_0.97-1ubuntu1_all.deb) ...
Selecteren van voorheen niet geselecteerd pakket munin-common.
Uitpakken van munin-common (uit .../munin-common_1.4.4-1ubuntu1_all.deb) ...
Selecteren van voorheen niet geselecteerd pakket munin-node.
Uitpakken van munin-node (uit .../munin-node_1.4.4-1ubuntu1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for ureadahead ...
ureadahead will be reprofiled on next reboot
Instellen van libio-multiplex-perl (1.10-1) ...
Instellen van libnet-cidr-perl (0.13-1) ...
Instellen van libnet-server-perl (0.97-1ubuntu1) ...
Instellen van munin-common (1.4.4-1ubuntu1) ...
Instellen van munin-node (1.4.4-1ubuntu1) ...
Initializing new plugins..done.
Restarting munin-node..start: Job is already running: munin-node
invoke-rc.d: initscript munin-node, action "restart" failed.
dpkg: fout bij afhandelen van munin-node (--configure):
 subproces installed post-installation script gaf een foutwaarde 1 terug
Fouten gevonden tijdens behandelen van:
 munin-node
E: Sub-process /usr/bin/dpkg returned an error code (1)

After this, I ran "sudo stop munin-node", followed by "sudo dpkg --configure --pending" and another "sudo apt-get install munin-node". That worked.

Serge Hallyn (serge-hallyn) wrote :

The upstart job definitely should be removed when the package is
removed. Chuck, it looks like you wrote the upstart job, can you
fix the cleanup on package remove? (If you prefer, feel free to bounce
it back to me and I"ll give it a shot).

Changed in munin (Ubuntu):
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → Chuck Short (zulcss)
Chuck Short (zulcss) wrote :

Should be fixed in the next upload.

Changed in munin (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package munin - 1.4.5-1ubuntu2

---------------
munin (1.4.5-1ubuntu2) maverick; urgency=low

  * debian/rules: Remove sysvinit symlinks. (LP: #574704, LP: #616404)
  * debian/control: Add libwww-perl as a dependency. (LP: #454302)
 -- Chuck Short <email address hidden> Fri, 13 Aug 2010 12:54:34 -0500

Changed in munin (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers